<script setup lang="ts">
import { useAuthStore } from '@/stores/auth'
import { ref } from 'vue'
import type { VForm } from 'vuetify/components'
const authStore = useAuthStore()
const refForm = ref<VForm | null>(null)
const form = ref(false)
const email = ref('admin@mail.com')
const password = ref('Pass@1234')
const required = (v: string) => {
  return !!v || 'Field is required'
}
const onSubmit = async () => {
  const { valid } = await refForm.value!.validate()
  if (!valid) return
  authStore.login(email.value, password.value)
}
</script>
<template>
  <v-form ref="refForm" v-model="form" @submit.prevent="onSubmit">
    <div class="ma-0" style="background-color: sienna" fluid>
      <v-container style="width: 2000pt">
        <div>
          <v-card class="mx-auto pa-12 pb-8" elevation="8" max-width="448" rounded="lg">
            <div class="text-subtitle-1 text-medium-emphasis">User</div>

            <v-text-field
              v-model="email"
              :rules="[required]"
              class="mb-2"
              clearable
              label="Email"
            ></v-text-field>

            <div
              class="text-subtitle-1 text-medium-emphasis d-flex align-center justify-space-between"
            >
              Password

              <a
                class="text-caption text-decoration-none text-blue"
                href="#"
                rel="noopener noreferrer"
                target="_blank"
              ></a>
            </div>

            <v-text-field
              v-model="password"
              :rules="[required]"
              clearable
              label="Password"
              placeholder="Enter your password"
            ></v-text-field>

            <v-btn
              :disabled="!form"
              block
              color="success"
              size="large"
              type="submit"
              variant="elevated"
            >
              Sign In
            </v-btn>
            <!-- <v-dialog v-model="loginStore.dialogFailed" max-width="500px">
            <v-card>
              <v-card-title class="text-red text-h5">Error</v-card-title>
              <v-card-text>Username or Password wrong!</v-card-text>
              <v-card-actions>
                <v-spacer></v-spacer>
                <v-btn color="blue darken-1" @click="loginStore.closeDialog">OK</v-btn>
              </v-card-actions>
            </v-card>
          </v-dialog> -->
          </v-card>
        </div>
      </v-container>
    </div>
  </v-form>
</template>
